Skip to content
Snippets Groups Projects
Commit a2979126 authored by Benoit Lavenier's avatar Benoit Lavenier
Browse files

[fix] Move desktop submodule into /dist/desktop

parent 805b4e0b
No related branches found
No related tags found
No related merge requests found
[submodule "cesium-desktop"]
path = platforms/desktop
path = dist/desktop
url = git@git.duniter.org:clients/cesium-grp/cesium-desktop.git
[submodule "cesium-android"]
path = platforms/android
......
......@@ -89,7 +89,7 @@ case "$1" in
echo "Uploading files to ${upload_url} ..."
dirname=$(pwd)
ZIP_FILE="$dirname/platforms/web/build/${PROJECT_NAME}-v$current-web.zip"
ZIP_FILE="$dirname/dist/web/build/${PROJECT_NAME}-v$current-web.zip"
if [[ -f "${ZIP_FILE}" ]]; then
result=$(curl -s -H ''"$GITHUT_AUTH"'' -H 'Content-Type: application/zip' -T "${ZIP_FILE}" "${upload_url}?name=${PROJECT_NAME}-v${current}-web.zip")
browser_download_url=$(echo "$result" | grep -P "\"browser_download_url\":[ ]?\"[^\"]+" | grep -oP "\"browser_download_url\":[ ]?\"[^\"]+" | grep -oP "https://[A-Za-z0-9/.-]+")
......
......@@ -130,7 +130,7 @@ echo "- Executing git push, with tag: v$2"
echo "----------------------------------"
# Commit
cd $DIRNAME
cd ${DIRNAME}
git reset HEAD
git add package.json config.xml install.sh www/js/config.js www/manifest.json
git commit -m "v$2"
......@@ -168,8 +168,8 @@ if [[ $? -ne 0 ]]; then
exit 1
fi
if [[ -d "${DIRNAME}/platforms/desktop" ]]; then
cd "${DIRNAME}/platforms/desktop"
if [[ -d "${DIRNAME}/dist/desktop" ]]; then
cd "${DIRNAME}/dist/desktop"
# Fetch last updates
git fetch origin && git merge origin/master || exit 1
......@@ -180,7 +180,8 @@ if [[ -d "${DIRNAME}/platforms/desktop" ]]; then
exit 1
fi
else
echo "WARN: platform/desktop not found -> Skipping desktop build!"
echo "ERROR: dist/desktop not found -> Make sure git submodule has been init!"
exit 1
fi;
# back to nodejs version 6
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment